extends Node2D

var area_left;
var area_right;
var salvados;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	salvados = 0;
	area_left = get_node("area_left");
	area_right = get_node("area_right");
	area_left.connect("body_enter" ,self,"enter_left")
	area_left.connect("body_exit",self,"exit_left")
	area_right.connect("body_enter" ,self,"enter_right")
	area_right.connect("body_exit",self,"exit_right")
	get_node("Score").connect("renamed",self,"_on_score_refresh")
	
func enter_left(col):
#	print("colision con ",col)
	if(col.is_in_group("derecha")):
		salvados = salvados+1
#		print(salvados)
		get_node("Score").set_text(str(salvados))

func enter_right(col):
#	print("colision con ",col)
	if(col.is_in_group("izquierda")):
		salvados = salvados+1
#		print(salvados)
		get_node("Score").set_text(str(salvados))
		
func exit_left(col):
#	print(col," salió");
	if(col.is_in_group("derecha")):
		col.queue_free()