extends Node2D

# class member variables go here, for example:
# var a = 2
# var b = "textvar"
var tailTex;
var sceneBallena;

var waitTime;
var minWaitTime;
var alertTime;
var t;
var edo
var spawnPoint;
var scale;

const WAITING = 0;
const ALERT = 1;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	edo = WAITING;
	waitTime = 5;
	minWaitTime = 3;
	alertTime = 1;
	t = 0;
	scale = 0.5;
	sceneBallena = load("res://scenes/ballena.tscn");
	tailTex = load("res://imgs/ballena_cola.png");
	set_fixed_process(true);
	
func _fixed_process(delta):
	t += delta;
	if(edo == WAITING):
		if(t >= waitTime):
			edo = ALERT;
			t = 0;
			var vp = get_viewport_rect().size;
			var xrand = randf()*(vp.x-10) + 10;
			spawnPoint = Vector2(xrand,30);
			var tail = Sprite.new();
			tail.set_texture(tailTex);
			tail.set_name("cola");
			tail.set_scale(scale * Vector2(1,1));
			add_child(tail);
			tail.set_pos(spawnPoint);
	if(edo == ALERT):
		if(t > alertTime):
			edo = WAITING;
			t = 0;
			get_node("cola").queue_free();
			var ball = sceneBallena.instance();
			ball.set_scale(scale * Vector2(1,1));
			add_child(ball);
			ball.set_pos(spawnPoint);
			if(waitTime > minWaitTime):
				waitTime -= 0.1;