extends Node2D

# class member variables go here, for example:
# var a = 2
# var b = "textvar"
var scene_ola;
var nOlas;
var vel;
var scale;
var maxScale;
var lerpScale;
var lerpDir;
var opac;
var lerpOpac;
var edo;

const CREANDO = 0;
const ALEJANDO = 1;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	scene_ola = load("res://scenes/ola.tscn");
	nOlas = 12;
	vel = 110;
	scale = 0;
	maxScale = 0.7;
	lerpScale = 0.005;
	lerpDir = 0.0005;
	opac = 1;
	lerpOpac = 0.005;
	edo = CREANDO;
	for i in range(nOlas):
		var ola = scene_ola.instance();
		add_child(ola);
		var angle = i * 2*PI/nOlas;
		var dir = Vector2(cos(angle),sin(angle));
#		print(angle,"   ",dir)
		ola.set_pos(Vector2(0,0));
		ola.set_rot(angle);
		ola.set_scale(Vector2(0,0));
		ola.dir = dir;
	set_fixed_process(true);

func _fixed_process(delta):
	for ola in get_children():
		ola.move_local_y(-delta * vel);
		if(edo == CREANDO):
			scale = lerp(scale,maxScale,lerpScale);
			ola.set_scale(scale * Vector2(1,1));
			if(maxScale - scale < 0.001):
				edo = ALEJANDO;
		elif(edo == ALEJANDO):
			vel = lerp(vel,0,lerpDir);
			opac = lerp(opac,0,lerpOpac);
			ola.set_opacity(opac);
			if opac < 0.05:
				queue_free();