extends Node2D

# class member variables go here, for example:
# var a = 2
# var b = "textvar"
var sceneBarco = load("res://scenes/barco.tscn");
var scale = 1.2;
var lastPoint;
var t = 0;
var spawnTime = 2;
var minSpawnTime = 1;
var spawnSpeed = 0.1;
var vp;
var puntos;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	vp = get_viewport_rect().size;
	puntos = get_node("puntos").get_children();
	set_fixed_process(true);

func _fixed_process(delta):
		t -= delta;
		if(t<=0):
			t = spawnTime;
			var rand = randi() % puntos.size();
			while (rand == lastPoint):
				rand = randi() % puntos.size();
			var pos = puntos[rand].get_pos();
			instanciate_boat(pos);
			lastPoint = rand
			if(spawnTime > minSpawnTime):
				spawnTime -= spawnSpeed;
				
func instanciate_boat(pos):
	print("instanciar en: ",pos);
	var barco = sceneBarco.instance();
	add_child(barco);
	barco.set_pos(pos);
	barco.set_rot(0);
	barco.remove_from_group("obstaculo");
	if(pos.x >= vp.x/2):
		barco.front = -PI/2;
		barco.set_rot(-PI/2);
		barco.dir = Vector2(-1,0);
		barco.add_to_group("derecha");
	else:
		barco.front = PI/2;
		barco.set_rot(PI/2);
		barco.dir = Vector2(1,0);
		barco.add_to_group("izquierda");